MetaprojectAssignments (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2.impl, class: MetaprojectAssignments

Package ch.systemsx.cisd.etlserver.registrator.api.v2.impl

# Class MetaprojectAssignments

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.MetaprojectAssignments

All Implemented Interfaces:
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectAssignments`

public class MetaprojectAssignments extends Object implements ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectAssignments

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ch.systemsx.cisd.openbis.generic.shared.basic.dto.MetaprojectAssignments`
  `metaprojectAssignments`
  `protected ch.systemsx.cisd.openbis.dss.generic.shared.IEncapsulatedBasicOpenBISService`
  `service`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetaprojectAssignments(ch.systemsx.cisd.openbis.generic.shared.basic.dto.MetaprojectAssignments metaprojectAssignments, ch.systemsx.cisd.openbis.dss.generic.shared.IEncapsulatedBasicOpenBISService service)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable>`
  `getDataSets()`
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable>`
  `getExperiments()`
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectImmutable`
  `getMetaproject()`
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable>`
  `getSamples()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### metaprojectAssignments

    protected ch.systemsx.cisd.openbis.generic.shared.basic.dto.MetaprojectAssignments metaprojectAssignments

  - ### service

    protected ch.systemsx.cisd.openbis.dss.generic.shared.IEncapsulatedBasicOpenBISService service

- ## Constructor Details

  - ### MetaprojectAssignments

    public MetaprojectAssignments(ch.systemsx.cisd.openbis.generic.shared.basic.dto.MetaprojectAssignments metaprojectAssignments, ch.systemsx.cisd.openbis.dss.generic.shared.IEncapsulatedBasicOpenBISService service)

- ## Method Details

  - ### getMetaproject

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectImmutable getMetaproject()
    Specified by:
      `getMetaproject` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectAssignments`

  - ### getSamples

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable> getSamples()
    Specified by:
      `getSamples` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectAssignments`

  - ### getExperiments

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable> getExperiments()
    Specified by:
      `getExperiments` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectAssignments`

  - ### getDataSets

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable> getDataSets()
    Specified by:
      `getDataSets` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectAssignments`